Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.s9api
Class SAXDestination

    java.lang.Object
      net.sf.saxon.s9api.SAXDestination

All Implemented Interfaces:
  Destination

    public class SAXDestination

extends Object
implements Destination

This class represents a Destination (for example, the destination of the output of a transformation) in which events representing the XML document are sent to a user-supplied SAX2 ContentHandler, as if the ContentHandler were receiving the document directly from an XML parser.

Constructor Summary
`SAXDestination(ContentHandler handler)` Create a SAXDestination, supplying a SAX ContentHandler to which events will be routed

Method Summary
`void` | `close()` Close the destination, allowing resources to be released.
`Receiver` | `getReceiver(Configuration config)` Return a Receiver.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAXDestination

    public SAXDestination(ContentHandler handler)

  Create a SAXDestination, supplying a SAX ContentHandler to which events will be routed

  Parameters:
    `handler` - the SAX ContentHandler that is to receive the output. If the ContentHandler is also a `LexicalHandler` then it will also receive notification of events such as comments.

Method Detail

### getReceiver

    public Receiver getReceiver(Configuration config)
                         throws SaxonApiException

  Return a Receiver. Saxon calls this method to obtain a Receiver, to which it then sends a sequence of events representing the content of an XML document.

  Specified by:
    `getReceiver` in interface `Destination`
  Parameters:
    `config` - The Saxon configuration. This is supplied so that the destination can use information from the configuration (for example, a reference to the name pool) to construct or configure the returned Receiver.
  Returns:
    the Receiver to which events are to be sent.
  Throws:
    `SaxonApiException` - if the Receiver cannot be created

### close

    public void close()
               throws SaxonApiException

  Close the destination, allowing resources to be released. Saxon calls this method when it has finished writing to the destination.

  Specified by:
    `close` in interface `Destination`
  Throws:
    `SaxonApiException` - if any failure occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.